# snd_pcm_chmap_query_t Struct Reference
[PCM Interface]

## Data Fields

enum snd_pcm_chmap_type | type
snd_pcm_chmap_t | map

## Detailed Description

the header of array items returned from snd_pcm_query_chmaps()

## Field Documentation

snd_pcm_chmap_t snd_pcm_chmap_query_t::map

available channel map

enum snd_pcm_chmap_type snd_pcm_chmap_query_t::type

channel map type

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/pcm.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines